
Name: 	 	gscan2pdf
Summary: 	Producies multipage PDFs from a scan
Version: 	2.13.2
Release: 	%mkrel 1
License:	GPLv3
Group:		Publishing
URL:		http://gscan2pdf.sourceforge.net/
Source:		http://jaist.dl.sourceforge.net/sourceforge/%name/%name-%version.tar.xz
Patch0:		gscan2pdf-2.1.6-fix-utf8-characters.patch
Patch1:		gscan2pdf-2.9.0-Do-not-warn-about-missing-pdftk.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	desktop-file-utils
BuildRequires:	imagemagick
Requires:	libtiff-progs
Requires:	sane-frontends
Requires:	unpaper
Requires:	xdg-utils
Requires:	djvulibre
Requires:	gocr
Requires:	perl-Config-General
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-Gtk2-Ex-Simple-List
Requires:	perl-PDF-API2
Requires:	perl-Gtk2
Requires:	perl-Locale-gettext 
Requires:	perl-Image-Magick
Requires:	perl-Gtk2-Ex-PodViewer
Requires:	perl-forks
Requires:	perl-reaper
Requires:	perl-Set-IntSpan
Requires:	perl-Log-Log4perl
Requires:	perl-Gtk2-ImageView
Requires:	perl-Goo-Canvas
Requires:	perl-Archive-Tar
Requires:	perl-Sane
Requires:	perl-Proc-ProcessTable
Requires:	perl-Readonly
Requires:   perl-Filesys-Df
Requires:   perl-Date-Calc
Requires:   perl-Image-Sane
Requires:   perl-Gtk3-ImageView
Requires:   perl-PDF-Builder
Requires:   perl-Graphics-TIFF
Obsoletes: 	%{name} < %version
BuildArch:	noarch

%description
A GUI to ease the process of producing a multipage PDF from a scan.

Scanning is handled with SANE via scanimage. PDF conversion is done by
PDF::API2. TIFF export is handled by libtiff (faster and smaller memory
footprint for multipage files).

%prep
%setup -q
%apply_patches

# fix file that is not UTF-8
iconv --from=ISO-8859-1 --to=UTF-8 History > History.new
mv History.new History

%build
%__perl Makefile.PL INSTALLDIRS=vendor SHAREDIR=%{_datadir}

%make_build

%install
rm -rf $RPM_BUILD_ROOT
%make_install

desktop-file-install --vendor='' \
	--dir=%buildroot%_datadir/applications \
	--remove-category="Application" \
        --add-category="Office;X-MandrivaLinux-Office-Accessories" \
	%buildroot%_datadir/applications/*.desktop

# icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 icons/%name.svg $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 icons/%name.svg $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 icons/%name.svg $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/*
%{_datadir}/%name
%{_datadir}/applications/*
%{perl_vendorlib}/*
%{_mandir}/man1/*
%{_datadir}/pixmaps/%{name}.svg
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png
%{_datadir}/metainfo/net.sourceforge.gscan2pdf.appdata.xml
%{_datadir}/help/C/gscan2pdf/documentation.html

%changelog
* Thu Jan 19 2023 tex - 2.13.2-1pclos2023
- new version

* Mon Nov 07 2022 tex - 2.13.0-1pclos2022
- new version

* Tue Sep 21 2021 tex - 2.12.1-1pclos2021
- new version

* Sun Dec 20 2020 tex - 2.10.2-1pclos2021
- new version

* Thu Dec 17 2020 tex - 2.10.1-2pclos2021
- rebuild against updates

* Wed Dec 16 2020 tex - 2.10.1-1pclos2021
- new version

* Wed Apr 08 2020 tex - 2.6.6-1pclos2020
- new version

* Mon Jan 20 2020 tex - 2.6.3-1pclos2020
- new version

* Fri Nov 29 2019 tex - 2.6.2-1pclos2019
- new version

* Fri Nov 15 2019 tex - 2.6.1-1pclos2019
- new version

* Tue Nov 12 2019 tex - 2.6.0-1pclos2019
- new version

* Tue Oct 15 2019 tex - 2.5.7-1pclos2019
- new version

* Wed Jul 24 2019 tex - 2.5.5-1pclos2019
- new version

* Sun Jun 30 2019 tex - 2.5.4-1pclos2019
- new version

* Sun Jun 09 2019 tex - 2.4.0-2pclos2019
- rebuild against updates

* Sat Mar 02 2019 tex - 2.4.0-1pclos2019
- new version

